> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ionworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Drive Cycles For Template

> List drive cycles linked to experiments under a given template.

Parameters
----------
template_id : str
    Experiment template UUID.
limit : int
    Maximum number of items to return (1–100). Defaults to 100.
offset : int
    Zero-based page offset. Defaults to 0.

Returns
-------
DriveCycleListResponse
    Paginated list of ``{id, name}`` items with count and total.



## OpenAPI

````yaml https://api.ionworks.com/openapi.json get /drive-cycles
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.ionworks.com
    description: Production
security: []
paths:
  /drive-cycles:
    get:
      summary: List Drive Cycles For Template
      description: |-
        List drive cycles linked to experiments under a given template.

        Parameters
        ----------
        template_id : str
            Experiment template UUID.
        limit : int
            Maximum number of items to return (1–100). Defaults to 100.
        offset : int
            Zero-based page offset. Defaults to 0.

        Returns
        -------
        DriveCycleListResponse
            Paginated list of ``{id, name}`` items with count and total.
      operationId: list_drive_cycles_for_template_drive_cycles_get
      parameters:
        - name: template_id
          in: query
          required: true
          schema:
            type: string
            title: Template Id
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 100
            title: Limit
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            title: Offset
            default: 0
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DriveCycleListResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    DriveCycleListResponse:
      properties:
        items:
          items:
            $ref: '#/components/schemas/DriveCycleListItem'
          type: array
          title: Items
        count:
          type: integer
          title: Count
        total:
          type: integer
          title: Total
      type: object
      required:
        - items
        - count
        - total
      title: DriveCycleListResponse
      description: Paginated list of drive cycle list items.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    DriveCycleListItem:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
      type: object
      required:
        - id
        - name
      title: DriveCycleListItem
      description: Lightweight projection used in list responses.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````